return {
	'folke/which-key.nvim',
	'nvim-lua/plenary.nvim',
	'mfussenegger/nvim-jdtls',
	'simrat39/rust-tools.nvim',
	'MunifTanjim/nui.nvim',
	-- 'rcarriga/cmp-dap',
	{
		'phaazon/hop.nvim', -- event = 'BufRead',
		keys = { { 's', ':HopChar2<cr>' }, { 'S', ':HopWord<cr>' } },
		config = function()
			require('hop').setup()
		end,
	},
	{
		'stevearc/dressing.nvim',
		lazy = true,
		init = function()
			vim.ui.select = function(...)
				require('lazy').load { plugins = { 'dressing.nvim' } }
				return vim.ui.select(...)
			end
			vim.ui.input = function(...)
				require('lazy').load { plugins = { 'dressing.nvim' } }
				return vim.ui.input(...)
			end
		end,
		config = function()
			require('dressing').setup {
				select = {
					trim_prompt = false,
				},
			}
		end,
	},
	{
		'folke/noice.nvim',
		config = function()
			require('noice').setup {
				cmdline = {
					enabled = true,
					view = 'cmdline', -- view for rendering the cmdline. Change to `cmdline` to get a classic cmdline at the bottom
				},
				presets = {
					bottom_search = true, -- use a classic bottom cmdline for search
					command_palette = false, -- position the cmdline and popupmenu together
					long_message_to_split = true, -- long messages will be sent to a split
					inc_rename = false, -- enables an input dialog for inc-rename.nvim
					lsp_doc_border = false, -- add a border to hover docs and signature help
				},
				lsp = {
					-- override markdown rendering so that **cmp** and other plugins use **Treesitter**
					override = {
						['vim.lsp.util.convert_input_to_markdown_lines'] = true,
						['vim.lsp.util.stylize_markdown'] = true,
						['cmp.entry.get_documentation'] = true,
					},
					hover = {
						enabled = false,
					},
					signature = {
						enabled = false,
					},
				},
			}
		end,
	},
}
